Bug 22007 - PPP was Killed (Signal Kill = 11) Unable to handle kernel NULL pointer dereference at virtual address 00000014
PPP was Killed (Signal Kill = 11) Unable to handle kernel NULL pointer derefe...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-09 15:02 EST by Icegnr
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Icegnr 2000-12-09 15:02:17 EST
Well, I have a Problem in my RED HAT 7.0, the problen is in the PPP, here 
I paste de error of muy PPP. I was installed 3 treads again my RED HAT 7.0 
in style CUSTOM, and the Problem continue, i want a request for this bug o 
HELP witch this.
Because i can't conecct to my ISP, i have a 2 computer and the other 
connecct to my ISP correctly, this is my /var/log/messages 

                        PPP WAS KILLED ---> (KILL SIGNAL 11)
                 he sayds "view The PPP error in /var/log/messages
+------------------------------------------------------------------------+
                                   Paste
+------------------------------------------------------------------------+
Dec  8 22:08:13 localhost kernel: Real Time Clock Driver v1.09
Dec  8 22:08:13 localhost kernel: RAM disk driver initialized:  16 RAM 
disks of 4096K size
Dec  8 22:08:13 localhost kernel: SIS5513: IDE controller on PCI bus 00 
dev 01
Dec  8 22:08:13 localhost kernel: SIS5513: not 100% native mode: will 
probe irqs later
Dec  8 22:08:13 localhost kernel:     ide0: BM-DMA at 0xffa0-0xffa7, BIOS 
settings: hda:pio, hdb:pio
Dec  8 22:08:13 localhost kernel:     ide1: BM-DMA at 0xffa8-0xffaf, BIOS 
settings: hdc:pio, hdd:pio
Dec  8 22:08:13 localhost kernel: hda: ST34321A, ATA DISK drive
Dec  8 22:08:13 localhost kernel: hdb: ATAPI CDROM, ATAPI CDROM drive
Dec  8 22:08:13 localhost kernel: ide2: ports already in use, skipping 
probe
Dec  8 22:08:13 localhost kernel: ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Dec  8 22:08:13 localhost kernel: hda: ST34321A, 4103MB w/128kB Cache, 
CHS=523/255/63
Dec  8 22:08:13 localhost kernel: Floppy drive(s): fd0 is 1.44M
Dec  8 22:08:13 localhost kernel: FDC 0 is a post-1991 82077
Dec  8 22:08:13 localhost kernel: md driver 0.90.0 MAX_MD_DEVS=256, 
MAX_REAL=12
Dec  8 22:08:13 localhost kernel: raid5: measuring checksumming speed
Dec  8 22:08:13 localhost kernel: raid5: MMX detected, trying high-speed 
MMX checksum routines
Dec  8 22:08:13 localhost kernel:    pII_mmx   :   891.159 MB/sec
Dec  8 22:08:13 localhost kernel:    p5_mmx    :   935.355 MB/sec
Dec  8 22:08:13 localhost kernel:    8regs     :   688.467 MB/sec
Dec  8 22:08:13 localhost kernel:    32regs    :   385.953 MB/sec
Dec  8 22:08:13 localhost kernel: using fastest function: p5_mmx (935.355 
MB/sec)
Dec  8 22:08:13 localhost kernel: scsi : 0 hosts.
Dec  8 22:08:13 localhost kernel: scsi : detected total.
Dec  8 22:08:13 localhost kernel: md.c: sizeof(mdp_super_t) = 4096
Dec  8 22:08:13 localhost kernel: Partition check:
Dec  8 22:08:13 localhost kernel:  hda: hda1 hda2 hda3 < hda5 >
Dec  8 22:08:13 localhost kernel: autodetecting RAID arrays
Dec  8 22:08:13 localhost kernel: autorun ...
Dec  8 22:08:13 localhost kernel: ... autorun DONE.
Dec  8 22:08:13 localhost kernel: VFS: Mounted root (ext2 filesystem) 
readonly.
Dec  8 22:08:13 localhost kernel: Freeing unused kernel memory: 64k freed
Dec  8 22:08:13 localhost kernel: Adding Swap: 257000k swap-space 
(priority -1)
Dec  8 22:08:13 localhost kernel: usb.c: registered new driver usbdevfs
Dec  8 22:08:13 localhost kernel: usb.c: registered new driver hub
Dec  8 22:08:13 localhost kernel: usb-ohci.c: USB OHCI at membase 
0xc483e000, IRQ 10
Dec  8 22:08:13 localhost kernel: usb.c: new USB bus registered, assigned 
bus number 1
Dec  8 22:08:13 localhost kernel: usb.c: USB new device connect, assigned 
device number 1
Dec  8 22:08:13 localhost kernel: hub.c: USB hub found
Dec  8 22:08:13 localhost kernel: hub.c: 2 ports detected
Dec  8 22:08:13 localhost kernel: CSLIP: code copyright 1989 Regents of 
the University of California
Dec  8 22:08:13 localhost kernel: PPP: version 2.3.7 (demand dialling)
Dec  8 22:08:13 localhost kernel: PPP line discipline registered.
Dec  8 22:08:12 localhost nfslock: rpc.lockd startup succeeded
Dec  8 22:08:13 localhost nfslock: rpc.statd startup succeeded
Dec  8 22:08:14 localhost apmd: apmd startup succeeded
Dec  8 22:08:14 localhost apmd[370]: Version 3.0final (APM BIOS 1.2, Linux 
driver 1.13)
Dec  8 22:08:14 localhost apmd[370]: Charge: * * * (-1% unknown)
Dec  8 22:08:15 localhost autofs: autofs startup succeeded
Dec  8 22:08:15 localhost automount[421]: starting automounter version 
3.1.6, path = /misc, maptype = file, mapname = /etc/auto.misc
Dec  8 22:08:15 localhost random: Initializing random number generator:  
succeeded
Dec  8 22:08:15 localhost automount[421]: using kernel protocol version 3
Dec  8 22:08:15 localhost netfs: Mounting other filesystems:  succeeded
Dec  8 22:08:15 localhost identd: identd startup succeeded
Dec  8 22:08:16 localhost atd: atd startup succeeded
Dec  8 22:08:16 localhost rc: Starting pcmcia:  succeeded
Dec  8 22:08:17 localhost xinetd[524]: amandaidx disabled, removing 
Dec  8 22:08:17 localhost xinetd[524]: amidxtape disabled, removing 
Dec  8 22:08:17 localhost xinetd[524]: tftp disabled, removing 
Dec  8 22:08:17 localhost xinetd[524]: comsat disabled, removing 
Dec  8 22:08:17 localhost xinetd[524]: talk disabled, removing 
Dec  8 22:08:17 localhost xinetd[524]: swat disabled, removing 
Dec  8 22:08:17 localhost xinetd[524]: eklogin disabled, removing 
Dec  8 22:08:17 localhost xinetd[524]: ftp disabled, removing 
Dec  8 22:08:17 localhost xinetd[524]: exec disabled, removing 
Dec  8 22:08:17 localhost xinetd[524]: pop3s disabled, removing 
Dec  8 22:08:17 localhost xinetd[524]: ntalk disabled, removing 
Dec  8 22:08:17 localhost xinetd[524]: linuxconf disabled, removing 
Dec  8 22:08:17 localhost xinetd[524]: kshell disabled, removing 
Dec  8 22:08:17 localhost xinetd[524]: telnet disabled, removing 
Dec  8 22:08:17 localhost xinetd[524]: klogin disabled, removing 
Dec  8 22:08:17 localhost xinetd[524]: pop3 disabled, removing 
Dec  8 22:08:18 localhost xinetd[524]: pop2 disabled, removing 
Dec  8 22:08:18 localhost xinetd[524]: imaps disabled, removing 
Dec  8 22:08:18 localhost xinetd[524]: imapdisabled, removing 
Dec  8 22:08:18 localhost xinetd[524]: xinetd Version 2.1.8.9pre9 started 
with 
Dec  8 22:08:18 localhost xinetd[524]: libwrap 
Dec  8 22:08:18 localhost xinetd[524]: options compiled in.
Dec  8 22:08:18 localhost xinetd[524]: Started working: 5 available 
services
Dec  8 22:08:19 localhost xinetd: xinetd startup succeeded
Dec  8 22:08:20 localhost sshd: sshd startup succeeded
Dec  8 22:08:20 localhost sshd[539]: Server listening on 0.0.0.0 port 22.
Dec  8 22:08:20 localhost sshd[539]: Generating 768 bit RSA key.
Dec  8 22:08:20 localhost sshd[539]: RSA key generation complete.
Dec  8 22:08:22 localhost lpd: lpd startup succeeded
Dec  8 22:08:22 localhost keytable: Loading keymap: 
Dec  8 22:08:22 localhost keytable: 
Loading /usr/lib/kbd/keymaps/i386/qwerty/es.kmap.gz
Dec  8 22:08:22 localhost keytable: Loading system font: 
Dec  8 22:08:22 localhost rc: Starting keytable:  succeeded
Dec  8 22:08:24 localhost sendmail: sendmail startup succeeded
Dec  8 22:08:24 localhost gpm: gpm startup succeeded
Dec  8 22:08:30 localhost httpd: httpd startup succeeded
Dec  8 22:08:31 localhost crond[787]: (CRON) STARTUP (fork ok) 
Dec  8 22:08:31 localhost crond: crond startup succeeded
Dec  8 22:08:34 localhost xfs: xfs startup succeeded
Dec  8 22:08:34 localhost anacron: anacron startup succeeded
Dec  8 22:08:34 localhost anacron[895]: Anacron 2.3 started on 2000-12-08
Dec  8 22:08:35 localhost rhnsd: rhnsd startup succeeded
Dec  8 22:08:35 localhost rhnsd[912]: Red Hat Network Services Daemon 
starting up.
Dec  8 22:08:35 localhost anacron[895]: Normal exit (0 jobs run)
Dec  8 22:08:38 localhost netconf:   Activando firewalling
Dec  8 22:08:38 localhost linuxconf: Running Linuxconf hooks: succeeded
Dec  8 22:08:38 localhost kernel: Lucent Modem driver version 4.27.5.66 
with MANY_PORTS MULTIPORT SHARE_IRQ enabled
Dec  8 22:08:38 localhost kernel: ttyS14 at 0xda00 (irq = 11) is a Lucent
Dec  8 22:08:44 localhost modprobe: modprobe: Can't locate module char-
major-145
Dec  8 22:08:44 localhost modprobe: modprobe: Can't locate module char-
major-145
Dec  8 22:08:44 localhost kernel: Linux agpgart interface v0.99 (c) Jeff 
Hartmann
Dec  8 22:08:44 localhost kernel: agpgart: Maximum main memory to use for 
agp memory: 28M
Dec  8 22:08:44 localhost kernel: agpgart: Unsupported SiS chipset, you 
might want to try agp_try_unsupported=1.
dic  8 22:09:03 localhost PAM_unix[944]: (system-auth) session opened for 
user root by (uid=0)
dic  8 22:09:03 localhost gdm[944]: gdm_slave_session_start: root on :0
Dec  8 22:09:15 localhost gnome-name-server[1087]: starting
Dec  8 22:09:15 localhost gnome-name-server[1089]: starting
Dec  8 22:09:15 localhost gnome-name-server[1087]: name server starting
Dec  8 22:09:15 localhost gnome-name-server[1089]: name server was running 
on display, exiting
Dec  8 22:09:16 localhost kernel: hdb: ATAPI 36X CD-ROM drive, 128kB Cache
Dec  8 22:09:16 localhost kernel: Uniform CD-ROM driver Revision: 3.10
Dec  8 22:10:00 localhost CROND[1106]: (root) CMD (   /sbin/rmmod -as) 
Dec  8 22:10:08 localhost kernel: registered device ppp0
Dec  8 22:10:08 localhost pppd[1107]: pppd 2.3.11 started by root, uid 0
Dec  8 22:10:08 localhost pppd[1107]: Using interface ppp0
Dec  8 22:10:08 localhost pppd[1107]: Connect: ppp0 <--> /dev/ttyS14
Dec  8 22:10:08 localhost kernel: Unable to handle kernel paging request 
at virtual address 60000000
Dec  8 22:10:08 localhost kernel: current->tss.cr3 = 00603000, %cr3 = 
00603000
Dec  8 22:10:08 localhost kernel: *pde = 00000000
Dec  8 22:10:08 localhost kernel: Oops: 0002
Dec  8 22:10:08 localhost kernel: CPU:    0
Dec  8 22:10:08 localhost kernel: EIP:    0010:
[usbcore:__insmod_usbcore_S.bss_L104+381857/98000019]
Dec  8 22:10:08 localhost kernel: EFLAGS: 00210003
Dec  8 22:10:08 localhost kernel: eax: 00000fff   ebx: 0000002e   ecx: 
0000000b   edx: 00001000
Dec  8 22:10:08 localhost kernel: esi: c356da38   edi: 60000000   ebp: 
c356d800   esp: c05c9ecc
Dec  8 22:10:08 localhost kernel: ds: 0018   es: 0018   ss: 0018
Dec  8 22:10:08 localhost kernel: Process pppd (pid: 1107, process nr: 55, 
stackpage=c05c9000)
Dec  8 22:10:08 localhost kernel: Stack: 00000001 c356d800 00200286 
00000000 c4843e8b c2a2b000 00000000 c356da38 
Dec  8 22:10:08 localhost kernel:        0000002e c356d800 c0ae8c00 
c0bbe540 c4843da8 c356d800 0000c021 c4846017 
Dec  8 22:10:08 localhost kernel:        c356d800 c0bbe540 c356d820 
c356d800 c356d820 c0ae8c00 00000018 c484630b 
Dec  8 22:10:08 localhost kernel: Call Trace: 
[ppp:__insmod_ppp_S.text_L15801+3639/15428] 
[ppp:__insmod_ppp_S.text_L15801+3412/15428] 
[ppp:__insmod_ppp_S.text_L15801+12227/15428] 
[ppp:__insmod_ppp_S.text_L15801+12983/15428] 
[ppp:__insmod_ppp_S.text_L15801+1583/15428] [tty_write+458/528] 
[ppp:__insmod_ppp_S.text_L15801+1340/15428] 
Dec  8 22:10:08 localhost kernel:        [sys_write+219/256] 
[tty_write+0/528] [system_call+52/56] 
Dec  8 22:10:08 localhost kernel: Code: f3 a5 f6 c3 02 74 02 66 a5 f6 c3 
01 74 01 a4 89 d8 03 45 5c 
Dec  8 22:10:08 localhost kernel: Unable to handle kernel NULL pointer 
dereference at virtual address 00000014
Dec  8 22:10:08 localhost kernel: current->tss.cr3 = 00101000, %cr3 = 
00101000
Dec  8 22:10:08 localhost kernel: *pde = 00000000
Dec  8 22:10:08 localhost kernel: Oops: 0000
Dec  8 22:10:09 localhost kernel: CPU:    0
Dec  8 22:10:09 localhost kernel: EIP:    0010:
[usbcore:__insmod_usbcore_S.bss_L104+387192/97994684]
Dec  8 22:10:09 localhost kernel: EFLAGS: 00210286
Dec  8 22:10:09 localhost kernel: eax: c2a2b000   ebx: 00000000   ecx: 
c2a2b000   edx: 00000012
Dec  8 22:10:09 localhost kernel: esi: c2a2b000   edi: c2a2b100   ebp: 
00000002   esp: c05c9dcc
Dec  8 22:10:09 localhost kernel: ds: 0018   es: 0018   ss: 0018
Dec  8 22:10:09 localhost kernel: Process pppd (pid: 1107, process nr: 55, 
stackpage=c05c9000)
Dec  8 22:10:09 localhost kernel: Stack: c01a32cd c2a2b000 c2a2b000 
00000453 c05c8000 00000001 c2a2b000 00000000 
Dec  8 22:10:09 localhost kernel:        c01a3316 c2a2b000 c01a338b 
c2a2b000 00000000 c05c8000 c05c8000 c05c8000 
Dec  8 22:10:09 localhost kernel:        c01176ed 00000001 00200296 
c05c8000 c2b6a140 00000001 c0117926 c05c9e90 
Dec  8 22:10:09 localhost kernel: Call Trace: [do_tty_hangup+637/648] 
[tty_vhangup+10/16] [disassociate_ctty+91/212] [exit_notify+461/472] 
[do_exit+558/628] [die_if_no_fixup+0/64] [error_table+2631/9344] 
Dec  8 22:10:09 localhost kernel:        [error_table+9070/9344] 
[do_page_fault+708/944] [error_table+9070/9344] [error_code+45/56] 
[usbcore:__insmod_usbcore_S.bss_L104+381857/98000019] 
[ppp:__insmod_ppp_S.text_L15801+3639/15428] 
[ppp:__insmod_ppp_S.text_L15801+3412/15428] 
[ppp:__insmod_ppp_S.text_L15801+12227/15428] 
Dec  8 22:10:09 localhost kernel:        
[ppp:__insmod_ppp_S.text_L15801+12983/15428] 
[ppp:__insmod_ppp_S.text_L15801+1583/15428] [tty_write+458/528] 
[ppp:__insmod_ppp_S.text_L15801+1340/15428] [sys_write+219/256] 
[tty_write+0/528] [system_call+52/56] 
Dec  8 22:10:09 localhost kernel: Code: 8b 73 14 50 e8 bb eb ff ff 53 e8 
19 e3 ff ff c7 43 40 00 00 
dic  8 22:12:52 localhost PAM_unix[944]: (system-auth) session closed for 
user root
+------------------------------------------------------------------------+
                                     END
+------------------------------------------------------------------------+

.... In my othe computer the funtionally is correctly

Sorry, i am from Argentina, and can't speak english much and good

Disculpen soy de Argentina y no puedo escribir el ingles en forma fluida, 
Gracias

Espero que me resuelvan este error, o aunque sea una ayuda para resolver 
el problema, porque ya envie 20 veces y nunca me dan una respuesta.

My system info here:
Distribucisn:                  Red Hat Linux
Sistema Operativo:             Linux
Versisn de la Distribucisn:    Red Hat Linux release 7.0 (Guinness)

Versisn del Sistema Operativo: #1 Tue Aug 22 16:49:06 EDT 2000
Release del Sistema Operativo: 2.2.16-22
Tipo de Procesador:            i686
Nombre de la Maquina:          localhost.localdomain
Nombre del Usuario:            root
Nombre del Display X:          :0
Estado del Sistema:            1:51pm  up 7 min,  1 user,  load average: 
1.04,
Comment 1 Bugzilla owner 2004-09-30 11:38:52 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.